Subject: Re: [PATCH][POWERPC] QE: Make QUICC Engine support a configurableoption

From: Timur Tabi <[email-masked]>
Date: Thu, 15 Mar 2007 08:04:50 -0500

Li Yang-r58472 wrote:

> QE is so generic that can be used across different sub-archs maybe even
> archs.  Why doesn't it deserve a place out of "platform support" menu?
> An option in the top menu is another choice.

Yes, but for now, the QE is marketed as an option for a few SOCs.  That 
means that when you select the SOC, you expect to see configuration 
options for that SOC.

> On another thought, it is very unlikely that user chooses a more
> expensive chip with QE and won't use it.  So make it non-configurable
> and be selected automatically is not a bad idea for me.

This was addressed earlier.  On some boards, the QE is not wired to 
anything, so there's no point in enabling it.  Disabling it will prevent 
any unused QE code from becoming part of the kernel.